/// funcion prewitt

function IG = Prewitt(I)

    [a,b] = size(I);
    
    IG = zeros(a,b);
     
    for fl = 2:a-1
        for cl = 2:b-1
            
           // vecinos
           Vo = I(fl,cl-1);
           Ve = I(fl,cl+1);
           Vn = I(fl-1,cl);
           Vs = I(fl+1,cl);
           
           // derivadas
           df = abs(Vn - Vs);
           dc = abs(Ve - Vo);
           
           // gradiente
           gr = df + dc;
           
           // guardamos
           IG(fl,cl) = gr;
            
        end        
    end
    
endfunction

