/// funcion prewitt

function IG = Prewitt_multiband(I)

    [a,b] = size(I);
    
    IG = zeros(a,b);
     
    for fl = 2:a-1
        for cl = 2:b-1
            
           // vecinos
           Vo = I(fl,cl-1,:);
           Ve = I(fl,cl+1,:);
           Vn = I(fl-1,cl,:);
           Vs = I(fl+1,cl,:);
           
           // derivadas
           df = abs(sum(Vn - Vs));
           dc = abs(sum(Ve - Vo));
           
           // gradiente
           gr = df + dc;
           
           // guardamos
           IG(fl,cl) = gr;
            
        end        
    end
    
endfunction

